﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.StorageClient;

namespace BlobWebRole
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
   
       

            // Get the storage account reference
            CloudStorageAccount objStorage = CloudStorageAccount.FromConfigurationSetting("BlobConnectionString");
            // get the Client reference using storage blobend point
            CloudBlobClient objClient = new CloudBlobClient(objStorage.BlobEndpoint, objStorage.Credentials);
            // Get Container reference
            CloudBlobContainer objContainer = objClient.GetContainerReference("mycontainer");
      
            // Get blob reference
            CloudBlob obj = objContainer.GetBlobReference(FileUpload1.FileName.ToString());

            // Set meta values
            obj.Metadata["MetaName"] = "meta";
            // Open a stream using the cloud object
            BlobStream blobstream = obj.OpenWrite();
            // Write the stream to the blob database
            blobstream.Write(FileUpload1.FileBytes, 0, FileUpload1.FileBytes.Count());
            blobstream.Close();

            // Browse through blob list from the container
            IEnumerable<IListBlobItem> objBlobList = objContainer.ListBlobs();
            foreach (IListBlobItem objItem in objBlobList)
            {
                Response.Write(objItem.Uri + "<br>");
            }

        }

        protected void Button2_Click(object sender, EventArgs e)
        {
            // Get the storage account reference
            CloudStorageAccount objStorage = CloudStorageAccount.FromConfigurationSetting("BlobConnectionString");
            // get the Client reference using storage blobend point
            CloudBlobClient objClient = new CloudBlobClient(objStorage.BlobEndpoint, objStorage.Credentials);
            // Get Container reference
            CloudBlobContainer objContainer = objClient.GetContainerReference("mycontainer");
            // Get the blob reference using the blob name provided in the search
            CloudBlob obj = objContainer.GetBlobReference(txtSearch.Text);
            BlobStream blobstream = obj.OpenRead();
            // Create the image object and display the same on the browser response
            System.Drawing.Image objimg = null;
            objimg = System.Drawing.Image.FromStream(blobstream, true);
            Response.Clear();
            Response.ContentType = "image/gif";
            objimg.Save(Response.OutputStream, System.Drawing.Imaging.ImageFormat.Jpeg);
        }
    }
}